\documentclass[11pt,a4paper]{article}

\usepackage{fullpage, amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../yomcat, ../dcpic}

\pagestyle{empty}

\setlength{\arraycolsep}{2pt}
\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 437 \hfill
Assignment 5 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}
	\item Using Maple, I found a Gr\"obner basis for $I$: $G = \set{1-3z^2+2z^4, -1-z^2+y^2, -3z+2z^3+x}$. Setting $x_1 = x$, $x_2 = y$, and $x_3 = z$, and writing the terms in a more friendly order, one gets to \begin{align*}
		g_1 &= x_1 + 2x_3^3 - 3x_3 \\
		g_2 &= x_2^2 - x_3^2 - 1 \\
		g_3 &= 2x_3^4 - 3x_3^2 + 1
	\end{align*}
	Then, the following elimintation ideals exist: \begin{align*}
		I_0 &= \ideal{g_1, g_2, g_3} \\
		I_1 &= \ideal{g_2, g_3} \\
		I_2 &= \ideal{g_3}
	\end{align*}
	\item \begin{enumerate}
		\item
		\item
	\end{enumerate}
	\item \begin{enumerate}
		\item Using the Maple command \texttt{Basis(G, plex(t, x, y, z))}, I found a Gr\"obner basis for $I$: $G = \set{9z^4+13y^2z^2+6z^8-12z^5y^3+6y^6z^2+5z^6y^2-4z^9y^3+6z^6y^6-10z^3y^5-4y^9z^3+y^{12}+z^{12}+5y^4+5y^8,\ -7yz^2-5y^3-3yz^6+6z^5y^2+10z^3y^4-3y^5z^2+3xz^2+2z^9y^2-5y^7-5y^5z^6+xz^6+4y^8z^3-y^{11},\ 3z^2+2y^2+xy+z^6-2y^3z^3+y^6,\ z^2+y^2+z^6-2y^3z^3+x^2+y^6,\ t+y^3-z^3}$. \\
		Hence a Gr\"obner basis for $I_1$ is $G \cap k[x,y,z] = \set{9z^4+13y^2z^2+6z^8-12z^5y^3+6y^6z^2+5z^6y^2-4z^9y^3+6z^6y^6-10z^3y^5-4y^9z^3+y^{12}+z^{12}+5y^4+5y^8,\ -7yz^2-5y^3-3yz^6+6z^5y^2+10z^3y^4-3y^5z^2+3xz^2+2z^9y^2-5y^7-5y^5z^6+xz^6+4y^8z^3-y^{11},\ 3z^2+2y^2+xy+z^6-2y^3z^3+y^6,\ z^2+y^2+z^6-2y^3z^3+x^2+y^6}$.
		\item Using the Maple command \texttt{Basis(G, lexdeg([t], [x, y, z]))}, I found a Gr\"obner basis for $I$: $G = \set{x^2-xy-y^2-2z^2,\ 3z^2+2y^2+xy+z^6-2y^3z^3+y^6,\ t+y^3-z^3}$. \\
		Hence a Gr\"obner basis for $I_1$ is $G \cap k[x,y,z] = \set{x^2-xy-y^2-2z^2,\ 3z^2+2y^2+xy+z^6-2y^3z^3+y^6}$.
		\item In this instance, the second term is better for elimination. There are less elements in the set, and they are shorter (basically, less complicated) polynomials. The output is more elegant, which I say makes it better.
	\end{enumerate}
	\item \begin{enumerate}
		\item When the equations are rewritten as \begin{align*}
			x^{10} + 1 &= yx^5 \\
			x^2 + 1 &= xz
		\end{align*}
		I am able to work in $\mbb{C}[x,y,z]$.
		\item Using Maple, with the \texttt{lexdeg} term order, a Gr\"obner basis for the equations is \set{-z^5+5z^3-5z+y, x^2+1-xz}. From this, its easy to see that a basis for $I_1$ is \set{-z^5 + 5z^3 - 5z + y} and that $I_2 = \set{0}$.
		\item
		\item
	\end{enumerate}
	\item \begin{enumerate}
		\item
		\item \begin{enumerate}
			\item
			\item
			\item
			\item
			\item
		\end{enumerate}
	\end{enumerate}
	\item \begin{enumerate}
		\item Let $f^k \in \sqrt{I}$. Then $(f^k)^m = f^{km} \in I$. As $km \geq 1$, this means that $f \in \sqrt{I}$, so $\sqrt{I}$ is a radical.\\
		Now to show that it's an ideal of $k[\vect{x}{n}]$. Let $f$ and $g$ be two elements of $\sqrt{I}$. Then there exist positive integers $m, l$ such that $f^m$ and $g^l \in I$. Consider $(f + g)^{m+l-1}$. In the expansion of this, every term is of the form $f^ig^j$, where $i+j = m+l-1$. Either $i \geq m$ or $j \geq l$, so either $f^i$ or $g^j \in I$, and hence every term in the binomial expansion is in $I$. So $(f+g)^{m+l-1} \in I$, and hence $f +g \in \sqrt{I}$. Now let $f \in \sqrt{I}$ and $g \in k[\vect{x}{n}]$. Then there exists some $m \in \mbb{Z}^+$ such that $f^m \in I$. As $I$ is an ideal, $h^mf^m = (hf)^m \in I$, and so $hf \in \sqrt{I}$. Hence $\sqrt{I}$ is an ideal. \pend
		\item \begin{enumerate}
			\item[\ltr] Assume that $I$ is a radical. Then $f^m \in I \implies f \in I$. Let $f \in I$. Then $f^1 \in I$, so $f \in \sqrt{I}$. Hence $I \subseteq \sqrt{I}$. Now let $f \in \sqrt{I}$. Then $f^m \in I$, and, as $I$ is radical, $f \in I$. Hence $\sqrt{I} \subseteq I$ and so $I = \sqrt {I}$.
			\item[\rtl] If $I = \sqrt{I}$, then $\sqrt{I}$ is a radical, so $I$ is. \pend
		\end{enumerate}
		\item We know that if $I$ is radical, then $I = \sqrt{I}$. Also, $\sqrt{I}$ is a radical, and an ideal. Hence $\sqrt{I} = \sqrt{\sqrt{I}}$. \pend
	\end{enumerate}
	\item \begin{enumerate}
		\item
		\item
	\end{enumerate}
\end{enumerate}

\end{document}